## org.eclipse.emf.query.conditions.booleans
Class BooleanAdapter

    java.lang.Object
      org.eclipse.emf.query.conditions.booleans.BooleanAdapter

All Implemented Interfaces:
  IDataTypeAdapter<Boolean>

    public abstract class BooleanAdapter

extends Object
implements IDataTypeAdapter<Boolean>

An Adapter class to be used to extract from -adapt- the argument object some Boolean object (value) that would later be used in `Condition` evaluation. Clients can subclass an provide their own implementation

See Also:
  `BooleanCondition`

Field Summary
`static BooleanAdapter` `DEFAULT` The simplest `BooleanAdapter` implementation that represents the case when the argument object to adapt is a `Boolean` object itself.

Constructor Summary
`BooleanAdapter()`

Method Summary
`Boolean` `adapt(Object value)` Adapts the specified input value to the type that I provide.
`abstract Boolean` `getBoolean(Object object)` Extracts from/Adapts the argument object to a `Boolean`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final BooleanAdapter DEFAULT

  The simplest `BooleanAdapter` implementation that represents the case when the argument object to adapt is a `Boolean` object itself.

Constructor Detail

### BooleanAdapter

    public BooleanAdapter()

Method Detail

### getBoolean

    public abstract Boolean getBoolean(Object object)

  Extracts from/Adapts the argument object to a `Boolean`

  Parameters:
    `object` - The argument object to adapt to a `Boolean` by this adapter
  Returns:
    Boolean the `Boolean` object representation of the argument object

### adapt

    public Boolean adapt(Object value)

  Description copied from interface: `IDataTypeAdapter`
  Adapts the specified input value to the type that I provide.

  Specified by:
    `adapt` in interface `IDataTypeAdapter<Boolean>`
  Parameters:
    `value` - the input value
  Returns:
    the corresponding output value

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.